Bug 1207994 - RFE/TECH DEBT: Upgrade to Liquibase 3.3
Summary: RFE/TECH DEBT: Upgrade to Liquibase 3.3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: DatabaseChange, Maintainability
Version: 3.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.7
Assignee: Sean Flanigan
QA Contact: Damian Jansen
URL:
Whiteboard:
Depends On:
Blocks: 1207980
TreeView+ depends on / blocked
 
Reported: 2015-04-01 07:33 UTC by Sean Flanigan
Modified: 2015-07-22 02:20 UTC (History)
3 users (show)

Fixed In Version: 3.7.0-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-22 02:20:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1207980 None None None Never

Internal Links: 1207980

Description Sean Flanigan 2015-04-01 07:33:05 UTC
Description of problem:
We should upgrade from Liquibase 3.0.7 to 3.3.2.

Additional info:

Liquibase changelogs are here: http://blog.liquibase.org/category/announcement (From a quick read, I can't see any problems which should affect us)

Previous updates were covered in bug 813165 and bug 1036435.

Comment 1 Sean Flanigan 2015-04-07 02:37:59 UTC
Pull request: https://github.com/zanata/zanata-server/pull/761

Comment 2 Sean Flanigan 2015-04-07 05:58:58 UTC
We need to test that existing databases are migrated without throwing any exceptions (like "change sets check sum 'abc' is now: 'xyz'").

Comment 5 Damian Jansen 2015-05-19 01:05:36 UTC
Verified (master) at f754844e6f68107f09b2b655dcdd429f78dc2167


Note You need to log in before you can comment on or make changes to this bug.